# ----------------------------------------------------------------------------
#
#  PHYLIP
#
# ----------------------------------------------------------------------------

Name:      phylip
Version:   3.61
Release:   5
Summary:   Phylogeny Inference Package

Group:     Applications/BioInformatics
License:   Copyright University of Washington and Joseph Felsenstein
URL:       http://evolution.genetics.washington.edu/phylip.html
Source0:   ftp://evolution.genetics.washington.edu/pub/phylip/phylip-3.61.tar.gz
Patch0:    phylip.patch

BuildRoot: /var/tmp/%{name}-buildroot

%description
PHYLIP (the PHYLogeny Inference Package) is a package of programs for
inferring phylogenies (evolutionary trees). Methods that are available
in the package include parsimony, distance matrix, and likelihood methods,
including bootstrapping and consensus trees.
Data types that can be handled include molecular sequences, gene frequencies,
restriction sites, distance matrices, and 0/1 discrete characters.

Reference for PHYLIP:
Felsenstein, J. 1989.
PHYLIP - Phylogeny Inference Package (Version 3.2).
Cladistics 5: 164-166.

# ----------------------------------------------------------------------------

%prep
%setup -q
%patch -p1

%build
cd src
make CC="gcc $RPM_OPT_FLAGS" DC="gcc $RPM_OPT_FLAGS -DX" all

%install
rm -rf $RPM_BUILD_ROOT
cd src 
make EXEDIR=$RPM_BUILD_ROOT/opt/BioBrew/Phylip/%{version}/bin DATADIR=$RPM_BUILD_ROOT/opt/BioBrew/Phylip/%{version}/data install

%clean
rm -rf $RPM_BUILD_ROOT

# ----------------------------------------------------------------------------

%files
%defattr(-,root,root)
/opt/BioBrew
%doc doc/*


%changelog
* Thu Dec 30 2004 gotero
-edited for BioBrew

* Tue Aug 03 2004 Luc Ducazu <luc@biolinux.org>
- Build for phylip 3.61

* Tue Jul 20 2004 Luc Ducazu <luc@biolinux.org>
- Build for phylip 3.6

* Tue Apr 06 2004 Luc Ducazu <luc@biolinux.org>
- Build for phylip 3.6b
- Fonts moved to datadir

* Wed Dec 18 2002 Luc Ducazu <luc@biolinux.org>
- Program factor in /usr/bin conflicts with sh-utils, moved to /usr/local/bin

* Wed Dec 11 2002 Luc Ducazu <luc@biolinux.org>
- Initial build
